mob
	var
		slot1
		slot2

mob
	proc
		Save()//this will be the saving proc that is used for the player's save verb
			switch(input("Which slot do you want to save?") in list ("Slot 1", "Slot 2"))
				if("Slot 1")
					var/savefile/S = new("Saves/[src.ckey]")//creates a savefile with the name of the player's ckey in a folder called saves and is shorthanded as s
					S["last_x"] << src.x//stores players x loc in the file
					S["last_y"] << src.y//stores player's y loc in the file
					S["last_z"] << src.z//stores player's z loc in the file
					Write(S)//calls the write proc
					src.slot1 = 1//shows that they are using slot 1
					src.slot2 = 0
				else
					var/savefile/S = new("Saves/[src.ckey]2")//creates a savefile with the name of the player's ckey in a folder called saves and is shorthanded as s
					S["last_x"] << src.x//stores players x loc in the file
					S["last_y"] << src.y//stores player's y loc in the file
					S["last_z"] << src.z//stores player's z loc in the file
					Write(S)//calls the write proc
					src.slot1 = 0
					src.slot2 = 1//shows that they are using slot 2 for autosaving

		Save2()//this is the auto-save proc. Call this for logout
			if(src.slot1)
				if(fexists("Saves/[src.ckey]"))
					var/savefile/S = new("Saves/[src.ckey]")//creates a savefile with the name of the player's ckey in a folder called saves and is shorthanded as s
					S["last_x"] << src.x//stores players x loc in the file
					S["last_y"] << src.y//stores player's y loc in the file
					S["last_z"] << src.z//stores player's z loc in the file
					Write(S)//calls the write proc
			if(src.slot2)
				if(fexists("Saves/[src.ckey]2"))
					var/savefile/S = new("Saves/[src.ckey]2")//creates a savefile with the name of the player's ckey in a folder called saves and is shorthanded as s
					S["last_x"] << src.x//stores players x loc in the file
					S["last_y"] << src.y//stores player's y loc in the file
					S["last_z"] << src.z//stores player's z loc in the file
					Write(S)//calls the write proc

		Load()
			var/list/Options[0]//make a new empty list
//			Options+="Start New File"//add start new file to the list
			if(fexists("Saves/[src.ckey]"))//checks to see if the player has a save file 1
				Options+="Load Slot 1"//if they do, allow them to load slot1
			if(fexists("Saves/[src.ckey]2"))//check for save file 2
				Options+="Load Slot 2"//if they have one, allow to load slot 2
			switch(input("What do you want to do?") in Options)
				if("Load Slot 1")
					var/savefile/S = new("Saves/[src.ckey]")//same as above but since its already created, does not create a new one
					Read(S)//calls the read proc for s
					S["last_x"] >> src.x//restores tha player's x loc
					S["last_y"] >> src.y//restores the player's y loc
					S["last_z"] >> src.z//restores the player's z loc
					src.slot1 = 1//make it so they usin slot 1 for autosaving later
					src.slot2 = 0
				if("Load Slot 2")
					var/savefile/S = new("Saves/[src.ckey]2")//same as above but since its already created, does not create a new one
					Read(S)//calls the read proc for s
					S["last_x"] >> src.x//restores tha player's x loc
					S["last_y"] >> src.y//restores the player's y loc
					S["last_z"] >> src.z//restores the player's z loc
					src.slot1 = 0
					src.slot2 = 1//lets us know that they using slot 2 for autosaving
/**
				if("Start New File")
					src.Character()//if they want to start a new character, run the creation proc
**/

/**

EXAMPLE OF USE


mob
	proc//just a sample cretaion proc
		Creation()
			src.icon = 'base.dmi'
			src.loc = locate(1,1,1)

mob
	Login()
		src.Load()//call the load proc on login

mob
	Logout()//when they loguout, call the save2 proc
		src.Save2()


































**/